FROM golang:1.23.9-alpine3.21 as builder

COPY ./ /go/src/25-bday-qt
WORKDIR /go/src/25-bday-qt
RUN cd ./srv; go build -o /go/bin/25-bday-qt

FROM alpine:3.18.4

COPY --from=builder /go/bin/25-bday-qt /bin/
COPY ./ /go/src/25-bday-qt
CMD []
ENTRYPOINT ["/bin/25-bday-qt"]
